--------------------------------------------------------------------------------
-- Copyright (c) 1995-2009 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 11.4
--  \   \         Application : sch2hdl
--  /   /         Filename : RAM_BLOCK.vhf
-- /___/   /\     Timestamp : 07/13/2010 04:17:50
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -intstyle ise -family spartan3 -flat -suppress -vhdl C:/Firmware/CREAM/v4_test/MCP_TARGETv04/RAM_BLOCK.vhf -w C:/Firmware/CREAM/v4_test/MCP_TARGETv04/src/RAM_BLOCK.sch
--Design Name: RAM_BLOCK
--Device: spartan3
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity RAM_BLOCK is
   port ( xRADDR : in    std_logic_vector (11 downto 0); 
          xR_CLK : in    std_logic; 
          xR_EN  : in    std_logic; 
          xWADDR : in    std_logic_vector (11 downto 0); 
          xWRITE : in    std_logic_vector (15 downto 0); 
          xW_CLK : in    std_logic; 
          xW_EN  : in    std_logic; 
          xREAD  : out   std_logic_vector (15 downto 0));
end RAM_BLOCK;

architecture BEHAVIORAL of RAM_BLOCK is
   attribute BOX_TYPE            : string ;
   attribute INIT_00             : string ;
   attribute INIT_01             : string ;
   attribute INIT_02             : string ;
   attribute INIT_03             : string ;
   attribute INIT_04             : string ;
   attribute INIT_05             : string ;
   attribute INIT_06             : string ;
   attribute INIT_07             : string ;
   attribute INIT_08             : string ;
   attribute INIT_09             : string ;
   attribute INIT_0A             : string ;
   attribute INIT_0B             : string ;
   attribute INIT_0C             : string ;
   attribute INIT_0D             : string ;
   attribute INIT_0E             : string ;
   attribute INIT_0F             : string ;
   attribute INIT_10             : string ;
   attribute INIT_11             : string ;
   attribute INIT_12             : string ;
   attribute INIT_13             : string ;
   attribute INIT_14             : string ;
   attribute INIT_15             : string ;
   attribute INIT_16             : string ;
   attribute INIT_17             : string ;
   attribute INIT_18             : string ;
   attribute INIT_19             : string ;
   attribute INIT_1A             : string ;
   attribute INIT_1B             : string ;
   attribute INIT_1C             : string ;
   attribute INIT_1D             : string ;
   attribute INIT_1E             : string ;
   attribute INIT_1F             : string ;
   attribute INIT_20             : string ;
   attribute INIT_21             : string ;
   attribute INIT_22             : string ;
   attribute INIT_23             : string ;
   attribute INIT_24             : string ;
   attribute INIT_25             : string ;
   attribute INIT_26             : string ;
   attribute INIT_27             : string ;
   attribute INIT_28             : string ;
   attribute INIT_29             : string ;
   attribute INIT_2A             : string ;
   attribute INIT_2B             : string ;
   attribute INIT_2C             : string ;
   attribute INIT_2D             : string ;
   attribute INIT_2E             : string ;
   attribute INIT_2F             : string ;
   attribute INIT_30             : string ;
   attribute INIT_31             : string ;
   attribute INIT_32             : string ;
   attribute INIT_33             : string ;
   attribute INIT_34             : string ;
   attribute INIT_35             : string ;
   attribute INIT_36             : string ;
   attribute INIT_37             : string ;
   attribute INIT_38             : string ;
   attribute INIT_39             : string ;
   attribute INIT_3A             : string ;
   attribute INIT_3B             : string ;
   attribute INIT_3C             : string ;
   attribute INIT_3D             : string ;
   attribute INIT_3E             : string ;
   attribute INIT_3F             : string ;
   attribute SRVAL_A             : string ;
   attribute SRVAL_B             : string ;
   attribute WRITE_MODE_A        : string ;
   attribute WRITE_MODE_B        : string ;
   attribute INIT_A              : string ;
   attribute INIT_B              : string ;
   attribute SIM_COLLISION_CHECK : string ;
   signal DATA      : std_logic_vector (15 downto 0);
   signal XLXN_139  : std_logic;
   signal XLXN_140  : std_logic;
   signal XLXN_148  : std_logic;
   signal XLXN_149  : std_logic;
   signal XLXN_2487 : std_logic;
   signal XLXN_2539 : std_logic;
   signal XLXN_2540 : std_logic;
   signal XLXN_2541 : std_logic;
   signal XLXN_2542 : std_logic;
   signal XLXN_2546 : std_logic;
   signal XLXN_2581 : std_logic;
   signal XLXN_2582 : std_logic;
   signal XLXN_2583 : std_logic;
   signal XLXN_2584 : std_logic;
   signal XLXN_2588 : std_logic;
   signal XLXN_2699 : std_logic_vector (3 downto 0);
   signal XLXN_2700 : std_logic_vector (3 downto 0);
   signal XLXN_2701 : std_logic_vector (3 downto 0);
   signal XLXN_2763 : std_logic;
   signal XLXN_2764 : std_logic;
   signal XLXN_2765 : std_logic;
   signal XLXN_2766 : std_logic;
   signal XLXN_2770 : std_logic;
   signal XLXN_2774 : std_logic_vector (3 downto 0);
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component RAMB16_S4_S4
      -- synopsys translate_off
      generic( INIT_00 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_01 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_02 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_03 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_04 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_05 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_06 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_07 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_08 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_09 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_0A : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_0B : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_0C : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_0D : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_0E : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_0F : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_10 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_11 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_12 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_13 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_14 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_15 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_16 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_17 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_18 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_19 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_1A : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_1B : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_1C : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_1D : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_1E : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_1F : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_20 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_21 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_22 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_23 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_24 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_25 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_26 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_27 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_28 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_29 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_2A : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_2B : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_2C : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_2D : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_2E : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_2F : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_30 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_31 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_32 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_33 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_34 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_35 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_36 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_37 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_38 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_39 : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_3A : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_3B : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_3C : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_3D : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_3E : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               INIT_3F : bit_vector :=  
            x"0000000000000000000000000000000000000000000000000000000000000000";
               SRVAL_A : bit_vector :=  x"0";
               SRVAL_B : bit_vector :=  x"0";
               WRITE_MODE_A : string :=  "WRITE_FIRST";
               WRITE_MODE_B : string :=  "WRITE_FIRST";
               INIT_A : bit_vector :=  x"0";
               INIT_B : bit_vector :=  x"0";
               SIM_COLLISION_CHECK : string :=  "ALL");
      -- synopsys translate_on
      port ( ADDRA : in    std_logic_vector (11 downto 0); 
             ADDRB : in    std_logic_vector (11 downto 0); 
             CLKA  : in    std_logic; 
             CLKB  : in    std_logic; 
             DIA   : in    std_logic_vector (3 downto 0); 
             DIB   : in    std_logic_vector (3 downto 0); 
             ENA   : in    std_logic; 
             ENB   : in    std_logic; 
             SSRA  : in    std_logic; 
             SSRB  : in    std_logic; 
             WEA   : in    std_logic; 
             WEB   : in    std_logic; 
             DOA   : out   std_logic_vector (3 downto 0); 
             DOB   : out   std_logic_vector (3 downto 0));
   end component;
   attribute INIT_00 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_01 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_02 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_03 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_04 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_05 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_06 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_07 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_08 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_09 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_0A of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_0B of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_0C of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_0D of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_0E of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_0F of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_10 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_11 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_12 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_13 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_14 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_15 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_16 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_17 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_18 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_19 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_1A of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_1B of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_1C of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_1D of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_1E of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_1F of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_20 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_21 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_22 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_23 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_24 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_25 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_26 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_27 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_28 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_29 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_2A of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_2B of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_2C of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_2D of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_2E of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_2F of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_30 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_31 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_32 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_33 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_34 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_35 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_36 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_37 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_38 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_39 of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_3A of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_3B of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_3C of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_3D of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_3E of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute INIT_3F of RAMB16_S4_S4 : component is 
         "0000000000000000000000000000000000000000000000000000000000000000";
   attribute SRVAL_A of RAMB16_S4_S4 : component is "0";
   attribute SRVAL_B of RAMB16_S4_S4 : component is "0";
   attribute WRITE_MODE_A of RAMB16_S4_S4 : component is "WRITE_FIRST";
   attribute WRITE_MODE_B of RAMB16_S4_S4 : component is "WRITE_FIRST";
   attribute INIT_A of RAMB16_S4_S4 : component is "0";
   attribute INIT_B of RAMB16_S4_S4 : component is "0";
   attribute SIM_COLLISION_CHECK of RAMB16_S4_S4 : component is "ALL";
   attribute BOX_TYPE of RAMB16_S4_S4 : component is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
   component GND_4
      port ( G : out   std_logic_vector (3 downto 0));
   end component;
   
   component BUF16
      port ( I : in    std_logic_vector (15 downto 0); 
             O : out   std_logic_vector (15 downto 0));
   end component;
   
begin
   XLXI_35 : VCC
      port map (P=>XLXN_139);
   
   XLXI_36 : VCC
      port map (P=>XLXN_140);
   
   XLXI_45 : GND
      port map (G=>XLXN_148);
   
   XLXI_46 : GND
      port map (G=>XLXN_149);
   
   XLXI_226 : RAMB16_S4_S4
      port map (ADDRA(11 downto 0)=>xWADDR(11 downto 0),
                ADDRB(11 downto 0)=>xRADDR(11 downto 0),
                CLKA=>XLXN_2487,
                CLKB=>xR_CLK,
                DIA(3 downto 0)=>xWRITE(3 downto 0),
                DIB(3 downto 0)=>XLXN_2699(3 downto 0),
                ENA=>XLXN_139,
                ENB=>xR_EN,
                SSRA=>XLXN_140,
                SSRB=>XLXN_149,
                WEA=>xW_EN,
                WEB=>XLXN_148,
                DOA=>open,
                DOB(3 downto 0)=>DATA(3 downto 0));
   
   XLXI_1721 : INV
      port map (I=>xW_CLK,
                O=>XLXN_2487);
   
   XLXI_1744 : VCC
      port map (P=>XLXN_2539);
   
   XLXI_1745 : VCC
      port map (P=>XLXN_2540);
   
   XLXI_1746 : GND
      port map (G=>XLXN_2541);
   
   XLXI_1747 : GND
      port map (G=>XLXN_2542);
   
   XLXI_1748 : INV
      port map (I=>xW_CLK,
                O=>XLXN_2546);
   
   XLXI_1749 : RAMB16_S4_S4
      port map (ADDRA(11 downto 0)=>xWADDR(11 downto 0),
                ADDRB(11 downto 0)=>xRADDR(11 downto 0),
                CLKA=>XLXN_2546,
                CLKB=>xR_CLK,
                DIA(3 downto 0)=>xWRITE(7 downto 4),
                DIB(3 downto 0)=>XLXN_2700(3 downto 0),
                ENA=>XLXN_2539,
                ENB=>xR_EN,
                SSRA=>XLXN_2540,
                SSRB=>XLXN_2542,
                WEA=>xW_EN,
                WEB=>XLXN_2541,
                DOA=>open,
                DOB(3 downto 0)=>DATA(7 downto 4));
   
   XLXI_1765 : VCC
      port map (P=>XLXN_2581);
   
   XLXI_1766 : VCC
      port map (P=>XLXN_2582);
   
   XLXI_1767 : GND
      port map (G=>XLXN_2583);
   
   XLXI_1768 : GND
      port map (G=>XLXN_2584);
   
   XLXI_1769 : INV
      port map (I=>xW_CLK,
                O=>XLXN_2588);
   
   XLXI_1770 : RAMB16_S4_S4
      port map (ADDRA(11 downto 0)=>xWADDR(11 downto 0),
                ADDRB(11 downto 0)=>xRADDR(11 downto 0),
                CLKA=>XLXN_2588,
                CLKB=>xR_CLK,
                DIA(3 downto 0)=>xWRITE(11 downto 8),
                DIB(3 downto 0)=>XLXN_2701(3 downto 0),
                ENA=>XLXN_2581,
                ENB=>xR_EN,
                SSRA=>XLXN_2582,
                SSRB=>XLXN_2584,
                WEA=>xW_EN,
                WEB=>XLXN_2583,
                DOA=>open,
                DOB(3 downto 0)=>DATA(11 downto 8));
   
   XLXI_1824 : GND_4
      port map (G(3 downto 0)=>XLXN_2699(3 downto 0));
   
   XLXI_1825 : GND_4
      port map (G(3 downto 0)=>XLXN_2700(3 downto 0));
   
   XLXI_1826 : GND_4
      port map (G(3 downto 0)=>XLXN_2701(3 downto 0));
   
   XLXI_1856 : BUF16
      port map (I(15 downto 0)=>DATA(15 downto 0),
                O(15 downto 0)=>xREAD(15 downto 0));
   
   XLXI_1857 : VCC
      port map (P=>XLXN_2763);
   
   XLXI_1858 : VCC
      port map (P=>XLXN_2764);
   
   XLXI_1859 : GND
      port map (G=>XLXN_2765);
   
   XLXI_1860 : GND
      port map (G=>XLXN_2766);
   
   XLXI_1861 : INV
      port map (I=>xW_CLK,
                O=>XLXN_2770);
   
   XLXI_1862 : RAMB16_S4_S4
      port map (ADDRA(11 downto 0)=>xWADDR(11 downto 0),
                ADDRB(11 downto 0)=>xRADDR(11 downto 0),
                CLKA=>XLXN_2770,
                CLKB=>xR_CLK,
                DIA(3 downto 0)=>xWRITE(15 downto 12),
                DIB(3 downto 0)=>XLXN_2774(3 downto 0),
                ENA=>XLXN_2763,
                ENB=>xR_EN,
                SSRA=>XLXN_2764,
                SSRB=>XLXN_2766,
                WEA=>xW_EN,
                WEB=>XLXN_2765,
                DOA=>open,
                DOB(3 downto 0)=>DATA(15 downto 12));
   
   XLXI_1863 : GND_4
      port map (G(3 downto 0)=>XLXN_2774(3 downto 0));
   
end BEHAVIORAL;


