--------------------------------------------------------------------------------
-- Copyright (c) 1995-2009 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 11.4
--  \   \         Application : sch2hdl
--  /   /         Filename : TRIG_ONESHOT.vhf
-- /___/   /\     Timestamp : 07/13/2010 04:17:51
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -intstyle ise -family spartan3 -flat -suppress -vhdl C:/Firmware/CREAM/v4_test/MCP_TARGETv04/TRIG_ONESHOT.vhf -w C:/Firmware/CREAM/v4_test/MCP_TARGETv04/src/TRIG_ONESHOT.sch
--Design Name: TRIG_ONESHOT
--Device: spartan3
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity TRIG_ONESHOT is
   port ( xCLK : in    std_logic; 
          xIN  : in    std_logic; 
          xOUT : out   std_logic);
end TRIG_ONESHOT;

architecture BEHAVIORAL of TRIG_ONESHOT is
   attribute BOX_TYPE   : string ;
   signal xCLR       : std_logic;
   signal XLXN_73    : std_logic;
   signal XLXN_74    : std_logic;
   signal XLXN_142   : std_logic;
   signal XLXN_158   : std_logic;
   signal XLXN_159   : std_logic;
   signal XLXN_165   : std_logic;
   signal XLXN_172   : std_logic;
   signal xOUT_DUMMY : std_logic;
   component FDC
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDC : component is "BLACK_BOX";
   
   component FD
      generic( INIT : bit :=  '0');
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   attribute BOX_TYPE of FD : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component FDC_1
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDC_1 : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
begin
   xOUT <= xOUT_DUMMY;
   XLXI_1 : FDC
      port map (C=>xIN,
                CLR=>xCLR,
                D=>XLXN_142,
                Q=>XLXN_158);
   
   XLXI_4 : FD
      port map (C=>xCLK,
                D=>XLXN_73,
                Q=>XLXN_159);
   
   XLXI_20 : FDC
      port map (C=>xCLK,
                CLR=>xCLR,
                D=>xOUT_DUMMY,
                Q=>XLXN_74);
   
   XLXI_76 : VCC
      port map (P=>XLXN_142);
   
   XLXI_77 : FDC_1
      port map (C=>xCLK,
                CLR=>xCLR,
                D=>XLXN_74,
                Q=>XLXN_172);
   
   XLXI_83 : BUF
      port map (I=>XLXN_158,
                O=>xOUT_DUMMY);
   
   XLXI_84 : BUF
      port map (I=>XLXN_159,
                O=>xCLR);
   
   XLXI_87 : FDC
      port map (C=>xCLK,
                CLR=>xCLR,
                D=>XLXN_172,
                Q=>XLXN_165);
   
   XLXI_88 : FDC_1
      port map (C=>xCLK,
                CLR=>xCLR,
                D=>XLXN_165,
                Q=>XLXN_73);
   
end BEHAVIORAL;


