--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
--								University of Hawaii at Manoa						         --
--						Instrumentation Development Lab / GARY S. VARNER				--
--   								Watanabe Hall Room 214								      --
--  								  2505 Correa Road										   --
--  								 Honolulu, HI 96822											--
--  								Lab: (808) 956-2920											--
--	 								Fax: (808) 956-2930										   --
--  						E-mail: idlab@phys.hawaii.edu									   --
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------	
-- Design by: Larry L. Ruckman Jr.															--
-- DATE : 26 JUNE 2007																			--
-- Project name: ICRR firmware																--
--	Module name: GND_4			  																--
--	Description : 																					--
-- 	GND_BUS 4 bits wide																		--
--		  											    												--
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity GND_4 is
   port (G		: out   std_logic_vector (3 downto 0));
end GND_4;

architecture Behavioral of GND_4 is
--------------------------------------------------------------------------------
--   								components     		   						         --
--------------------------------------------------------------------------------
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
--------------------------------------------------------------------------------
begin
--------------------------------------------------------------------------------		
	xBUF_0 : BUF 
	port map (
		I  => '0',
		O  => G(0));
--------------------------------------------------------------------------------		
	xBUF_1 : BUF 
	port map (
		I  => '0',
		O  => G(1));
--------------------------------------------------------------------------------		
	xBUF_2 : BUF 
	port map (
		I  => '0',
		O  => G(2));
--------------------------------------------------------------------------------		
	xBUF_3 : BUF 
	port map (
		I  => '0',
		O  => G(3));
--------------------------------------------------------------------------------		
end Behavioral;