--------------------------------------------------------------------------------
-- Copyright (c) 1995-2009 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 11.5
--  \   \         Application : sch2hdl
--  /   /         Filename : TARGET_TRIG.vhf
-- /___/   /\     Timestamp : 07/17/2010 16:11:24
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -intstyle ise -family spartan3 -flat -suppress -vhdl /home/rjn/Desktop/firmware/MCP_TARGETv04/TARGET_TRIG.vhf -w /home/rjn/Desktop/firmware/MCP_TARGETv04/src/TARGET_TRIG.sch
--Design Name: TARGET_TRIG
--Device: spartan3
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity TRIG_ONESHOT_MUSER_TARGET_TRIG is
   port ( xCLK : in    std_logic; 
          xIN  : in    std_logic; 
          xOUT : out   std_logic);
end TRIG_ONESHOT_MUSER_TARGET_TRIG;

architecture BEHAVIORAL of TRIG_ONESHOT_MUSER_TARGET_TRIG is
   attribute BOX_TYPE   : string ;
   signal xCLR       : std_logic;
   signal XLXN_73    : std_logic;
   signal XLXN_74    : std_logic;
   signal XLXN_142   : std_logic;
   signal XLXN_158   : std_logic;
   signal XLXN_159   : std_logic;
   signal XLXN_165   : std_logic;
   signal XLXN_172   : std_logic;
   signal xOUT_DUMMY : std_logic;
   component FDC
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDC : component is "BLACK_BOX";
   
   component FD
      generic( INIT : bit :=  '0');
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   attribute BOX_TYPE of FD : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component FDC_1
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDC_1 : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
begin
   xOUT <= xOUT_DUMMY;
   XLXI_1 : FDC
      port map (C=>xIN,
                CLR=>xCLR,
                D=>XLXN_142,
                Q=>XLXN_158);
   
   XLXI_4 : FD
      port map (C=>xCLK,
                D=>XLXN_73,
                Q=>XLXN_159);
   
   XLXI_20 : FDC
      port map (C=>xCLK,
                CLR=>xCLR,
                D=>xOUT_DUMMY,
                Q=>XLXN_74);
   
   XLXI_76 : VCC
      port map (P=>XLXN_142);
   
   XLXI_77 : FDC_1
      port map (C=>xCLK,
                CLR=>xCLR,
                D=>XLXN_74,
                Q=>XLXN_172);
   
   XLXI_83 : BUF
      port map (I=>XLXN_158,
                O=>xOUT_DUMMY);
   
   XLXI_84 : BUF
      port map (I=>XLXN_159,
                O=>xCLR);
   
   XLXI_87 : FDC
      port map (C=>xCLK,
                CLR=>xCLR,
                D=>XLXN_172,
                Q=>XLXN_165);
   
   XLXI_88 : FDC_1
      port map (C=>xCLK,
                CLR=>xCLR,
                D=>XLXN_165,
                Q=>XLXN_73);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity TARGET_TRIG is
   port ( xCLK       : in    std_logic; 
          xCLR_ALL   : in    std_logic; 
          xDHIT      : in    std_logic; 
          xDONE      : in    std_logic; 
          xEXT_TRIG  : in    std_logic; 
          xSOFT_TRIG : in    std_logic; 
          xNRUN      : out   std_logic; 
          xTRIG      : out   std_logic);
end TARGET_TRIG;

architecture BEHAVIORAL of TARGET_TRIG is
   attribute BOX_TYPE   : string ;
   signal CLR         : std_logic;
   signal TRIG_0      : std_logic;
   signal TRIG_1      : std_logic;
   signal XLXN_30     : std_logic;
   signal XLXN_42     : std_logic;
   signal XLXN_143    : std_logic;
   signal XLXN_224    : std_logic;
   signal XLXN_392    : std_logic;
   signal XLXN_396    : std_logic;
   signal XLXN_403    : std_logic;
   signal XLXN_408    : std_logic;
   signal xTRIG_DUMMY : std_logic;
   component FDC
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDC : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component TRIG_ONESHOT_MUSER_TARGET_TRIG
      port ( xCLK : in    std_logic; 
             xIN  : in    std_logic; 
             xOUT : out   std_logic);
   end component;
   
begin
   xTRIG <= xTRIG_DUMMY;
   XLXI_22 : FDC
      port map (C=>xEXT_TRIG,
                CLR=>CLR,
                D=>XLXN_30,
                Q=>TRIG_0);
   
   XLXI_23 : VCC
      port map (P=>XLXN_30);
   
   XLXI_30 : FDC
      port map (C=>xSOFT_TRIG,
                CLR=>CLR,
                D=>XLXN_42,
                Q=>TRIG_1);
   
   XLXI_31 : VCC
      port map (P=>XLXN_42);
   
   XLXI_66 : FDC
      port map (C=>xCLK,
                CLR=>CLR,
                D=>XLXN_396,
                Q=>XLXN_143);
   
   XLXI_74 : BUF
      port map (I=>XLXN_143,
                O=>xNRUN);
   
   XLXI_105 : BUF
      port map (I=>XLXN_224,
                O=>CLR);
   
   XLXI_108 : OR2
      port map (I0=>xDONE,
                I1=>xCLR_ALL,
                O=>XLXN_224);
   
   XLXI_115 : TRIG_ONESHOT_MUSER_TARGET_TRIG
      port map (xCLK=>xCLK,
                xIN=>XLXN_403,
                xOUT=>XLXN_408);
   
   XLXI_189 : VCC
      port map (P=>XLXN_392);
   
   XLXI_195 : OR2
      port map (I0=>TRIG_1,
                I1=>TRIG_0,
                O=>XLXN_403);
   
   XLXI_196 : FDC
      port map (C=>xTRIG_DUMMY,
                CLR=>CLR,
                D=>XLXN_392,
                Q=>XLXN_396);
   
   XLXI_197 : FDC
      port map (C=>xCLK,
                CLR=>CLR,
                D=>XLXN_408,
                Q=>xTRIG_DUMMY);
   
end BEHAVIORAL;


